# DLHM device
 Repository with supporting materials to Bachelor thesis on Applications of CMOS Sensors in Biology. Covers digital holographic amplitude reconstruction and graphical user interface on Raspberry-Pi 4 with Raspberry-Pi Camera V2.

## Contents
Two main files:
- GUI_raspi.py
  - GUI for reconstruction with image acquisition on Raspberry Pi
  - needs Raspi libraries to run
- GUI_desktop.py
  - main file for reconstruction of already taken raw holograms (examples in sample_holograms folder)

Suporting files:
- acquisition.py
  - for image taking on Raspi
- processing.py
  - raw image manipulation
  - image saving
- reconstruction.py
  - image propagation
